Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -13259,10 +20682,282 @@
    SYNTAX      DisplayString (SIZE(1..15))
    MAX-ACCESS  read-write
    STATUS      current
-   DESCRIPTION 
+   DESCRIPTION
       "This object is used to set Local Enable Password."
-   ::= { securityAAC 9 } 
+   ::= { securityAAC 10 }
+-- -------------------------------------------------------------
+--  Accounting Method list table
+-- -------------------------------------------------------------
 
+    aacAccountingMethodListTable OBJECT-TYPE
+        SYNTAX SEQUENCE OF AacAccountingMethodListEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A table that contains information about Accounting authentication method
+            lists."
+
+        ::= { securityAAC 11 }
+
+    aacAccountingMethodListEntry OBJECT-TYPE
+        SYNTAX AacAccountingMethodListEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A list of the Authentication methods."
+        INDEX { aacAccountingMethodListIndex }
+
+        ::= { aacAccountingMethodListTable 1 }
+
+    AacAccountingMethodListEntry ::=
+        SEQUENCE {
+            aacAccountingMethodListIndex
+                INTEGER,
+            aacAccountingMethodListName
+                OCTET STRING,
+            aacAccountingMethod1
+                INTEGER,
+            aacAccountingMethod2
+                INTEGER,
+            aacAccountingMethod3
+                INTEGER,
+            aacAccountingMethod4
+                INTEGER,
+            aacAccountingMethodListRowStatus
+                RowStatus
+
+        }
+    aacAccountingMethodListIndex  OBJECT-TYPE
+        SYNTAX     INTEGER (1..8)
+        MAX-ACCESS read-only
+        STATUS     current
+        DESCRIPTION
+            "A value that identifies this method list."
+
+        ::= { aacAccountingMethodListEntry 1 }
+
+    aacAccountingMethodListName OBJECT-TYPE
+        SYNTAX OCTET STRING (SIZE (1..15))
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            "A human-readable text string of the method list."
+
+        ::= { aacAccountingMethodListEntry 2 }
+
+    aacAccountingMethod1 OBJECT-TYPE
+        SYNTAX INTEGER {
+                    none(-1),
+                    local(0)
+                    ,tacacsPlus(1)
+                    ,radius(2)
+                }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            "The type of Accounting method list. Besides the pre-defined type, it
+             also allow to be set user-defined group by aacServerGroupIndex."
+
+        ::= { aacAccountingMethodListEntry 3 }
+
+    aacAccountingMethod2 OBJECT-TYPE
+        SYNTAX INTEGER {
+                    none(-1),
+                    local(0)
+                    ,tacacsPlus(1)
+                    ,radius(2)
+                }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            "The type of Accounting method list. Besides the pre-defined type, it
+             also allow to be set user-defined group by aacServerGroupIndex."
+
+        ::= { aacAccountingMethodListEntry 4 }
+
+    aacAccountingMethod3 OBJECT-TYPE
+        SYNTAX INTEGER {
+                    none(-1),
+                    local(0)
+                    ,tacacsPlus(1)
+                    ,radius(2)
+                }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            "The type of Accounting method list. Besides the pre-defined type, it
+             also allow to be set user-defined group by aacServerGroupIndex."
+
+        ::= { aacAccountingMethodListEntry 5 }
+
+    aacAccountingMethod4 OBJECT-TYPE
+        SYNTAX INTEGER {
+                    none(-1),
+                    local(0)
+                    ,tacacsPlus(1)
+                    ,radius(2)
+                }
+        MAX-ACCESS read-write
+        STATUS current
+        DESCRIPTION
+            "The type of Accounting method list. Besides the pre-defined type, it
+             also allow to be set user-defined group by aacServerGroupIndex."
+
+        ::= { aacAccountingMethodListEntry 6 }
+
+    aacAccountingMethodListRowStatus OBJECT-TYPE
+        SYNTAX      RowStatus
+        MAX-ACCESS  read-create
+        STATUS      current
+        DESCRIPTION
+            "This object indicates the status of this entry. An entry is
+            created in this table when this object is SET to 'createAndWait'.
+            The entry in this table is used when the status of this object
+            is SET 'active'. The entry in this table is not used when this
+            object is SET 'notInService'. An entry created in this table is
+            be deleted when this object is SET 'destroy'."
+
+        ::= { aacAccountingMethodListEntry 7 }
+-- -------------------------------------------------------------
+--  Accounting Service Index
+-- -------------------------------------------------------------
+    aacAccountingServiceIndex      OBJECT IDENTIFIER ::= { securityAAC 12 }
+    aacAccountingServiceNetwork OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      radius-only              (0),
+                      default-method-list      (1),
+                      method-list-name         (2),
+                      disabled	               (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting Service Network is radius_only, default_method_list,
+            method_list_name and disable about Accounting Service Network."
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceIndex 1 }
+
+    aacAccountingServiceShell OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      radius-only              (0),
+                      default-method-list      (1),
+                      method-list-name         (2),
+                      disabled	               (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting Service Shell is radius_only, default_method_list,
+            method_list_name and disable about Accounting Service Network."
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceIndex 2 }
+
+    aacAccountingServiceSystem OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      radius-only              (0),
+                      default-method-list      (1),
+                      method-list-name         (2),
+                      disabled	               (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting System Shell is radius_only, default_method_list,
+            method_list_name and disable about Accounting Service Network."
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceIndex 3 }
+-- -------------------------------------------------------------
+--  Accounting Service Command
+-- -------------------------------------------------------------
+    aacAccountingServiceCommand      OBJECT IDENTIFIER ::= { securityAAC 13 }
+
+    aacAccountingServiceCommandAdministrator OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      method1      (0),
+                      method2      (1),
+                      method3      (2),
+                      method4      (3),
+                      disabled	   (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting Command Admin is method1, method2,
+            method3 , method4 and disable about Accounting Service Command"
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceCommand 1 }
+
+    aacAccountingServiceCommandOperator  OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      method1      (0),
+                      method2      (1),
+                      method3      (2),
+                      method4      (3),
+                      disabled	   (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting Command Operato is method1, method2,
+            method3 , method4 and disable about Accounting Service Command"
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceCommand 2 }
+
+    aacAccountingServiceCommandPoweruser OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      method1      (0),
+                      method2      (1),
+                      method3      (2),
+                      method4      (3),
+                      disabled	   (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting Command Power user is method1, method2,
+            method3 , method4 and disable about Accounting Service Command"
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceCommand 3 }
+
+    aacAccountingServiceCommandUser  OBJECT-TYPE
+       SYNTAX      INTEGER {
+                      method1      (0),
+                      method2      (1),
+                      method3      (2),
+                      method4      (3),
+                      disabled	   (-1)
+                   }
+        MAX-ACCESS read-write 
+        STATUS current
+        DESCRIPTION
+            "This object indicates aac Accounting Command User is method1, method2,
+            method3 , method4 and disable about Accounting Service Command"
+
+        DEFVAL  { -1 }
+        ::= { aacAccountingServiceCommand 4 }                   
+        
+-- -------------------------------------------------------------
+-- Server Password Encryption
+-- -------------------------------------------------------------
+
+   aacServerPasswordEncryption  OBJECT-TYPE
+   SYNTAX  INTEGER {
+                    enabled(1),
+                    disabled(2)
+                   }
+   MAX-ACCESS  read-write
+   STATUS      current
+   DESCRIPTION
+      "This object is used to configure server password encryption status."
+   ::= { securityAAC 14 }
+
+
      -- ----------------------------------------------------------
      -- Multicast Filter Port Table 
      -- ----------------------------------------------------------
@@ -13296,12 +20991,13 @@
         }
         
         mcastFilterPortIndex OBJECT-TYPE 
-           SYNTAX      Integer32
+           SYNTAX      Integer32 (1..28)
            MAX-ACCESS  not-accessible 
            STATUS      current 
            DESCRIPTION 
               "Interface index of the port for which the configuration
-              in this entry applies."
+              in this entry applies.
+              For all machines give maximum port number."
            
            ::= { mcastFilterPortEntry 1 }
                 
@@ -13319,7 +21015,61 @@
         
            ::= { mcastFilterPortEntry 2 }
 
+        -- ----------------------------------------------------------------
+        -- The STATIC ARP group
+        -- ----------------------------------------------------------------
 
+        staticARPTable OBJECT-TYPE
+            SYNTAX SEQUENCE OF StaticARPEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A list of the Static MACs"
+            ::= { companyStaticARP  2 }
+
+        staticARPEntry OBJECT-TYPE
+            SYNTAX StaticARPEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A Static MAC entry containing the mac and forwarding port."
+            INDEX { staticARPIP, staticARPMac}
+            ::= { staticARPTable 1 }
+
+        StaticARPEntry ::= SEQUENCE {
+            staticARPIP     	    IpAddress,
+            staticARPMac            MacAddress,
+            staticARPRowStatus      RowStatus
+        }
+
+        staticARPIP OBJECT-TYPE
+            SYNTAX IpAddress
+            MAX-ACCESS read-only
+            STATUS current
+            DESCRIPTION
+                "The VLAN ID of the static ARP IP."
+            ::= { staticARPEntry 2 }
+
+         staticARPMac OBJECT-TYPE
+           SYNTAX MacAddress
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+               "The MAC address associated of the static ARP entry."
+           ::= { staticARPEntry 3 }
+
+         staticARPRowStatus OBJECT-TYPE
+            SYNTAX     RowStatus
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "The status of an entry in the Static ARP Table.  Only a subset
+                 of the rowstatus variables (active, createAndGo, destroy) 
+                 are available. The trunk member port can not set up static ARP."
+            ::= { staticARPEntry 5 }
+
+
+
         sysGratuitousARPGlobalSettings         OBJECT IDENTIFIER ::= { companyGratuitousARP 1 }
         sysGratuitousARPSettings               OBJECT IDENTIFIER ::= { companyGratuitousARP 2 }
 
@@ -13390,7 +21140,7 @@
             }               
 
         sysGratuitousARPIFName OBJECT-TYPE
-            SYNTAX      OCTET STRING
+            SYNTAX      OCTET STRING (SIZE(1..24))
             MAX-ACCESS  read-only
             STATUS      current
             DESCRIPTION
